From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 1 April 2013<P>

happy birthday Kirk! have a great day and a fabulous year ahead.
<HR>
From: <a href="/blend/av.cgi?id=2045">Ravenheart</a><BR>
Date: 1 April 2013<P>

Don't worry about it, Kirk. Not everyone has a set plan in life. Besides, you know what they say "As soon as you manage to make ends meet, somebody moves the ends". Moral of the story-don't try to plan. By the way, if 50 is the new 20, then I must be 18! Happy Belated Birthday!
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 1 April 2013<P>

Thanks for the good wishes all!
<HR>
From: <a href="/blend/av.cgi?id=517">musicalduck</a><BR>
Date: 1 April 2013<P>

Happy belated birthday! Mine is coming up in a few days. Makes me rethink a lot of decisions I've made, but also makes me happy for what I've got!
<HR>